flext_stk::Output Class Reference

STK object for writing to outlet buffer. More...

`#include <flstk.h>`

Inheritance diagram for flext_stk::Output:

## Public Member Functions

| Output (t_sample *b, int v)
void | tick (StkFloat s)
void | tick (const StkFloat *vector, unsigned int vectorSize)
void | tick (const StkFrames &vector)
void | SetBuf (t_sample *b)

## Private Attributes

t_sample * | buf
int | vecsz
int | index

## Detailed Description

STK object for writing to outlet buffer.

## Constructor & Destructor Documentation

## Output()

flext_stk::Output::Output | ( | t_sample * | b,
|  | int | v
| ) |  |

inline

## Member Function Documentation

## SetBuf()

void flext_stk::Output::SetBuf | ( | t_sample * | b | ) |

inline

## tick() [1/3]

void flext_stk::Output::tick | ( | const StkFloat * | vector,
|  | unsigned int | vectorSize
| ) |  |

## tick() [2/3]

void flext_stk::Output::tick | ( | const StkFrames & | vector | ) |

inline

## tick() [3/3]

void flext_stk::Output::tick | ( | StkFloat | s | ) |

inline

## Member Data Documentation

## buf

t_sample* flext_stk::Output::buf

private

## index

int flext_stk::Output::index

private

## vecsz

int flext_stk::Output::vecsz

private

The documentation for this class was generated from the following files:

- flstk.h
- flstk.cpp